curl --location 'https://api.flashcat.cloud/api/n9e-plus/query-batch' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhY2Nlc3NfdXVpZCI6IjM2ZTRjZjI3LWI4OWYtNDFlZS04ZDhmLWZiMjdhMmZlZGIzOSIsImF1dGhvcml6ZWQiOnRydWUsImV4cCI6MTc3NTExMTEyMywidXNlcl9pZGVudGl0eSI6IjEtcm9vdCJ9.IwPWDg92AjjvuUTGplaXgpexmOSsONx73M7Y7pOI_vE' \
--header 'X-User-Token: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"queries": [
{
"ref": "A",
"ds_id": 10207,
"ds_cate": "GCM",
"query": {
"ref": "A",
"project_id": "",
"query_type": "builder",
"metric_type": "compute.googleapis.com/instance/cpu/utilization",
"resource_type": "gce_instance",
"filters": [],
"group_bys": [
"metadata.user_labels.env",
"metadata.user_labels.service",
"resource.label.instance_id"
],
"aligner": "ALIGN_MEAN",
"reducer": "REDUCE_MEAN",
"alignment_period": 60,
"step": 60,
"from": 1778933076,
"to": 1778954676,
"instant": false
}
}
]
}'